View Issue Details

IDProjectCategoryView StatusLast Update
0001839OpenFOAM[All Projects] Bugpublic2015-09-03 14:08
Reporteruser1224Assigned Tohenry 
PriorityhighSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionno change required 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Version 
Fixed in Version 
Summary0001839: DPMFOAM for Non-newtonian fluids
DescriptionCan DPM Foam access non-newtonian models like Bird Carreau if they are appended in transport properties?
I havent tried yet but will try if I am assured it works as the simulation takes a lot of time.
TagsNo tags attached.

Activities

henry

2015-08-26 22:05

manager   ~0005305

DPMFoam is based on the general thermo and turbulence model libraries which do not currently support non-Newtonian models. If you are not interested in compressibility or turbulence you could write a version of DPMFoam which uses the incompressible transport models which do support non-Newtonian models.

Issue History

Date Modified Username Field Change
2015-08-26 21:40 user1224 New Issue
2015-08-26 22:05 henry Note Added: 0005305
2015-08-26 22:05 henry Status new => closed
2015-08-26 22:05 henry Assigned To => henry
2015-08-26 22:05 henry Resolution open => no change required
2015-09-02 15:37 henry Status closed => resolved